Skip to main content
POST
/
v4
/
templates
/
{templateId}
/
apply
Apply template update
curl --request POST \
  --url https://api.kadoa.com/v4/templates/{templateId}/apply \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "targetVersion": 2,
  "workflowIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'
{
  "error": false,
  "success": true,
  "updatedCount": 123,
  "workflowIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}

Authorizations

x-api-key
string
header
required

API key for authentication

Path Parameters

templateId
string<uuid>
required

Template ID

Body

application/json

Body

Request body for applying a template version update to existing workflows

targetVersion
integer
required

Template version to apply

Required range: x >= 1
workflowIds
string<uuid>[]
required

Workflow IDs to update (max 100)

Required array length: 1 - 100 elements

Response

200

Response for template update application

error
enum<boolean>
required

Error flag (always false on success)

Available options:
false
success
enum<boolean>
required

Success flag

Available options:
true
updatedCount
number
required

Number of workflows updated

workflowIds
string<uuid>[]
required

IDs of updated workflows